cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 6 MCU

New Contributor

Hello.

I am new to PSOC, and to Creator.

I succeeded doing a few projects , but when trying to implement ADC I get "PDL NOT UPDATED" errors when trying to generate project.

When I search in the update menu for PDL, I see that the ADC is already updated.

Please see attached files.

Thank you.

Hanan.

0 Likes
Reply
1 Solution
Moderator
Moderator

It's caused by the old version of PDL. The PDL installed on your platform is not compatiable with the updated ADC component.

To eliminate this error, please install PDL3.1.0 , and then retarget the newest PDL for PSoC 6 devices in PSoC Creator through navigating to Tools -> Options -> PDL v3 location.

View solution in original post

1 Reply
Moderator
Moderator

It's caused by the old version of PDL. The PDL installed on your platform is not compatiable with the updated ADC component.

To eliminate this error, please install PDL3.1.0 , and then retarget the newest PDL for PSoC 6 devices in PSoC Creator through navigating to Tools -> Options -> PDL v3 location.

View solution in original post

Top labels